Analog modem testing overview

Analog modems are modem devices that require analog phone lines to communicate. This category includes the following types of modems:

  • AC 97 modem
  • CardBus modem
  • External COM modem
  • Mini PCI modem
  • PC Card modem
  • PCI modem
  • USB modem

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a PCI-based device, you must run the PCI-specific tests. Please run the complete suite of manual tests first before beginning the automated tests. However, with the exception of the PCI Latency test (which must be run last), the manual or automated tests can be run in any order. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

The manual tests require user intervention and must be run individually and should be completed before automated tests are run:

Click to show or hide information. Manual tests

  • Fax - Test Modem
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Device Framework
  • USB Device Installation
  • USB Manual Interoperability - Device
  • USB Serial Number

Click to show or hide information. Automated tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Stress - Device I/O (Extended - Modem)
  • CardBus Bridge Power Management Register
  • CardBus Card Configuration Space Register
  • CardBus Card Silicon Guidelines
  • ChkINF
  • Driver Verifier - Modem
  • Enable/Disable - Device I/O (Modem)
  • PCI 2.2 Compliance
  • PCI Latency - Modem
  • S3 Compliance
  • Surprise Removal
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB HIDView
  • USB Isochronous Alternate Interface Presence
  • USB Selective Suspend

Click to show or hide information. Hardware requirements

The following hardware is required to run the Analog Modem HCT kit. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

For server system

  • One Intel Pentium, or equivalent, system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is required for desktop systems only.
  • One external 3Com Courier I reference modem
  • Any special jack or phone cable to connect reference modem to phone line
  • One Basic Rate Interface (BRI) ISDN phone line
  • One reference Ethernet card for back channel communication (required for NDIS tests)

For client system

  • One Intel Pentium, or equivalent, system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • System BIOS that supports S1, S3 and S4 states and meets Windows Logo System and Device Requirements 2.0

Important: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is only required for desktop systems.
  • One test modem, including INF files
  • Any special jack or phone cable to connect test modem to phone line
  • One analog phone line
  • One reference Ethernet card for back channel communication (required for NDIS tests)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One FoxFire II PCI adapter

Note: The FoxFire II PCI adapter is required for PCI device testing only.

Click to show or hide information. Software requirements

The following software is required to run the Analog Modem HCT kit:

  • Windows XP Professional operating system
  • Any required drivers that do not ship with Windows XP
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the analog modem tests, testers must know how to do the following tasks:

  • Set up a client–server test system configuration.
  • Establish a TCP/IP network connection for a client–server configuration (required for back channel message card operation).
  • Execute the PING command.
  • Create folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.
  • Install and configure the Windows XP Fax software.

Related links


Preparing for analog modem testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Analog modem testing overview.

Test system configuration

A two-system configuration is required to test modems: a client system with the test device installed, and a server system with the reference device installed.

The HCT kit requires the following to prepare the test systems for testing analog modems for the Windows XP operating system:

Click to show or hide information. To configure the test systems for analog modem testing

  1. Install the test modem on the client system.

WHQL refers to the system with the test modem installed as the client system.

  2. Install an external 3Com Courier I reference modem on the server system.

WHQL refers to the system with the 3Com Courier I reference modem installed as the server system.

  3. Set up the two computers to detect each other across a TCP/IP network.

To verify this connection, confirm that you can successfully run the PING command. Typically, the tests fail to run due to the NetBEUI protocol functioning. The two systems appear properly networked; however, they are not successfully using a TCP/IP, which these tests require.

  4. Install the HCT for Windows XP on both the client and the server systems.

Troubleshooting with the modem event log

Use the modem event log to troubleshoot modem connection problems, find invalid commands sent to the device, or find missing response codes in the INF file. This utility displays everything sent to the modem, and the modem’s response. Using the modem event log helps ensure that the modem is working correctly before beginning HCT testing, or if problems arise, can assist in diagnosing connection problems unrelated to the hardware itself. To ensure maximum benefit, turn on the modem event log on both the client and server systems.

There should be no "ERROR" responses to the commands sent to the device. If any "UNRECOGNIZED RESPONSE" messages appear in the log file, verify that the INF file includes the appropriate response codes.

Click to show or hide information. To configure the modem event log

  1. Click the Start menu, and then click Control Panel.
  2. Click Printers and Other Hardware, click Phone and Modem Options, and then click the Modems tab. The first time this option is accessed the Location Information dialog box opens, requesting the following information. Fill in the appropriate information, and click OK.
  • What country/Region the user is in
  • What area code (city code) the user is currently in
  • The carrier code (if one is needed) - optional
  • Number needed to dial to access an outside line - optional
  • Modem dialing type - tone or pulse
  3. Double-click the modem to be tested.
  4. Click the Diagnostics tab, click the Append to Log check box, and click OK.

Note: To view the log at a later time, repeat steps 1-4, but click View Modem Log on the Diagnostics tab instead of Append to Log.

Important: If the INF file does not include the appropriate response code, the test modem receives a failed test submission.

Related links

Analog modem testing overview


Fax - Test Modem test

This test examines the ability of a modem to work with the Windows XP fax software (included with Windows XP).

The test verifies the modem’s fax capability and, optionally, the modem’s Adaptive Answer capability. A modem is defined as fax capable if it can receive and send a five-page CCITT Group 4 (2d) fax. Also, a modem is defined as Adaptive Answer capable if it can distinguish whether an incoming call is data or a fax.

Run time: 15 minutes

Log file name: faxvrfy.log

Operating system: Windows XP Professional

Test assertion: Chapter 20

Client and server system requirements

To install the Windows XP fax software on the client and server systems

  1. Click Start, click Control Panel, and then click Open Add or Remove Programs.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components Wizard, select the Fax Service check box, and then click Next.
  4. Click Finish.
  5. Click Close and close any other open windows.
  6. Install and start the HCT on the client and server systems, before running the Fax Test Modem test.

Client system requirements
  • Install the test device on the client system.

Server system requirements
  • When testing an analog modem, install the 3Com Courier I reference modem on the server system.
  • When testing an ISDN TA Unimodem, install the Zyxel Omni.net LCD on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a GSM modem, install the U.S. Robotics Courier V.Everything reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a PDC wireless modem, install the PV-BW5605 reference modem on the server system.
  • When testing a PIAFS wireless modem, install the NTT DoCoMo DC-6S reference modem on the server system.

Related links

Running the Fax - Test Modem test


NDIS test

The NDIS test (formerly known as the Modem Compatibility Test [MCT]), although actually a suite of tests that verify modem specific NDIS functionality, is invoked in the same way all other tests are started. For this reason, this test suite is considered one test

The NDIS test examines the attention (AT) command set provided by the test device’s INF file. The test device must provide an AT command set compatible with the V.250 AT command set. Note that this requirement is not required for ISDN and GSM modems. If an AT command for a particular modem function is implemented, the corresponding V.250 AT command must also be supported. In addition to optional AT controlled commands, the following v.250 commands must be available:

  • All basic mode commands from TIA-602 (no + prefix)
  • Identification: +GMI, +GMM, +GMR, +GCI
  • Port control: +IPR, +ICF, +IFC, +ILRR, +ITF (defined in V.80)
  • Modulation: +MS, +MR, +MA
  • Port control: +IPR, +ICF, +IFC, +ILRR, +ITF (defined in V.80)
  • Error control: +ES, +ER, +EB, +ESR, +ETBM
  • Compression: +DS, +DR

Run this test on both the server system and the client system. WHQL requires that you use the reference modems described in Preparing for analog modem testing, Preparing for ISDN modem testing, or Preparing for wireless modem testing.

Run time: Approximately 2 1/4 hours

Log file name: whql.log

Operating system: Windows XP Professional

Test assertion: Chapter 20

Client and server system requirements

Install and start the Windows XP HCT 10.0 on the client and server systems, before running the NDIS tests.

For client system

Install the test device on the client system.

For server system

  • When testing an analog modem, install the external 3Com Courier I reference modem on the server system .
  • When testing an ISDN TA Unimodem, install the external Zyxel Omni.net LCD reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a GSM modem, install the external 3Com Courier I reference modem on the server system (Nissei 128de-USB ISDN modem required for device testing in Japan).
  • When testing a PDC wireless modem, install the PV-BW5605 reference modem on the server system.
  • When testing a PIAFS wireless modem, install the NTT DoCoMo DC-6S reference modem on the server system.

Before running the NDIS test, verify that the reference modem can dial out and is working properly. When using the 3Com Courier I modem, follow these steps to verify that the modem is configured correctly:

Installing the custom 3Com Courier I reference modem Inf file on the server
  1. Click Start, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options. This opens the Phone and Modem Options window.
  2. Click the Modems tab; then double click the 3Com Courier I modem.
  3. Click the Driver tab, click Update Driver, select the Install from a list or specific location (Advanced) option, click Next, select the Don’t search. I will choose the driver to install option, and click Next.
  4. Select the Have Disk option, then click Browse, and navigate to the HCT\Testbin\whqlimdm.inf file, then click Open, then click OK.
  5. Click Next tab; the Hardware Update Wizard screen will warn you that the software being installed has not passed Windows Logo testing. Click Continue Anyway, click Finish, then click Close.
  6. Close all open windows and restart the system.
  7. Cycle the power to the external reference modem by turning the power to the modem off, then on.
Setting up the 3Com Courier I reference modem Data Protocol on the server
  1. Click Start,, click Control Panel, click Printers and Other Hardware, and then click Phone and Modem Options.
  2. Click the Modems tab; and select the 3Com Courier I modem.. Click the Properties tab, click the Advanced tab, and then click Change Default Preferences.
  3. Verify that the Data Protocol is set to Analog (V.34/V.90). If it isn’t, select it now.
  4. Verify all other settings are correct, and then click OK. This returns you to the Advanced screen of the Modem Properties window.
  5. Click OK.
  6. Close all open windows and turn the test system power off
  7. Turn off the power on the external modem.
  8. Turn on the power to the reference modem and the test system to begin testing

Related links

Running the NDIS test


ACPI Stress - Device I/O (Extended - Modem) test

This test examines the devices in the system, and then puts the system into a sleep/hibernation state. When the system returns from sleep/hibernation, the test verifies that the devices function properly after sleep/hibernation. This test examines all sleep/hibernation states that the system supports.

An ACPI system must support all of the following states: S1, S2, or S3. Support of S4 or S4BIOS is optional. However, for modems support of S1, S3, and S4 is required. The ACPI Stress Device I/O (Extended - Modem) test runs through 10 iterations of testing the device I/O and sleep/hibernation.

ACPI supports a Real Time Clock (RTC). For this test functionality, the clock is set to 4 minutes per state.

Run time: 2 hours.

Log file name: Pmte.log (for detailed troubleshooting information, refer to the log files displayed under Pmte.log in Test Manager Log Viewer)

Operating system: Windows® XP Professional

Test assertion: Chapter 3

Related links

Running the ACPI Stress - Device I/O (Extended - Modem) test


Wireless modem testing overview

Wireless modems are modem devices that require no physical phone lines to communicate. This category includes the following types of modems:

  • CardBus GSM modem
  • External COM GSM modem
  • IrCOMM GSM Modem
  • PC Card GSM modem
  • PC Card PDC modem
  • PC Card PIAFS modem
  • PCI GSM Modem
  • USB GSM modem
  • USB PDC modem
  • USB PIAFS modem

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a PCI-based device, you must run the PCI-specific tests. Please run the complete suite of manual tests first before beginning the automated tests. However, with the exception of the PCI Latency test (which must be run last), the manual or automated tests can be run in any order. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The test procedures are divided into a testing overview topic, a preparing for testing topic, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The running the test topics include instructions for running the HCT tools.

The manual tests require user intervention and must be run individually and should be completed before automated tests are run:

Click to show or hide information. Manual tests

  • Enable/Disable - Device I/O (Modem)
  • Fax - Test Modem
  • NDIS
  • Signability
  • USB 1.1 Specification Compliance
  • USB Device Framework
  • USB Device Installation
  • USB Manual Interoperability - Device
  • USB Serial Number

Click to show or hide information. Automated tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Stress - Device I/O (Extended - Modem)
  • CardBus Bridge Power Management Register
  • CardBus Card Configuration Space Register
  • CardBus Card Silicon Guidelines
  • ChkINF
  • Driver Verifier - Modem
  • PCI 2.2 Compliance
  • PCI Latency - Modem
  • Public Import
  • S3 Compliance
  • Surprise Removal
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB HIDView
  • USB Isochronous Alternate Interface Presence
  • USB Selective Suspend

Hardware requirements

The following hardware is required to run the tests for each specific type of wireless modem. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

Click to show or hide information. PC Card GSM, CardBus GSM, External COM GSM, USB GSM, and PCI GSM modems

Important: Use laptop test systems for testing PC Card GSM and CardBus GSM devices.

For server system

  • One Intel Pentium, or equivalent, system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that these are only required for desktop systems.
  • One U.S. Robotics Courier V.Everything reference modem used in AT command set tests
  • Any cables required for device connection and operation

For client system

  • One Intel Pentium, or equivalent, test system with the following:
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is only required for desktop systems.
  • One test GSM modem
  • Any cables required for GSM device connection or operation
  • Any GSM handsets required for device connection or operation that support enabled data and fax modes
  • One GSM SIM account with incoming and outgoing data and fax modes enabled

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Any cables required for device connection and operation
  • One FoxFire II PCI adapter

Note: FoxFire II PCI adapter is required for PCI device testing only.

Click to show or hide information. PC Card PDC and USB PDC wireless modem

For server system

  • One Intel Pentium, or equivalent, system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default.
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that these are only required for desktop systems.

For Client system

  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default. If the system used is a desktop system, the server must support the S1, S3 and S4 states.
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is only required for desktop systems.

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One PDC Phone
  • One PDC cables to connect modems to PDC phone
  • One AIWA PV-BW5605 reference modems for use in AT command set tests

Click to show or hide information. PC Card PIAFS and USB PIAFS wireless modem

For server system

  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

  • One Intel Pentium, or equivalent, client mobile system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Two PIAFS phones
  • Two PIAFS cables to connect modem to PIAFS phone
  • One test modem
  • One NTTDoCoMo DC-6S reference modem for use in AT command set tests)

Click to show or hide information. Software requirements

The following software is required to run all wireless modem testing:

  • Windows XP Professional operating system
  • Any required drivers that do not ship with Windows XP
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the wireless modem tests, testers must know how to do the following tasks:

  • Set up a client–server test system configuration.
  • Establish a TCP/IP network connection for a client–server configuration (required for back channel message card operation).
  • Execute the PING command.
  • Create folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.
  • Install and configure the Windows XP Fax software.

Related links


Preparing for wireless modem testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of require hardware, software, and tester knowledge requirements, see the Wireless modem testing overview.

Test system configuration

Testing wireless modems requires a two-system configuration: a client system with the test device installed, and a server system with the reference device installed.

The HCT kit requires the following to prepare the test system for each type of wireless modem testing for the Windows XP operating system:

Click to show or hide information. PC Card PDC and USB PDC wireless modems

To configure the test system for testing PDC modems

  1. Install the test modem on the client system.

WHQL refers to the computer with the test modem installed as the client system.

  2. Install a PV-BW5605 reference modem on the server system.

WHQL refers to the computer with the PV-BW5605 reference modem installed as the server system.

  3. Set up the two computers to detect each other across a TCP/IP network.

To verify this connection, confirm that you can successfully run the PING command. The tests will fail if the NetBEUI protocol is installed instead of the TCP/IP protocol, even if the two computers appear to be properly networked.

  4. Install the HCT for Windows XP on both the client and the server systems.

Click to show or hide information. PC Card and USB PIAFS wireless modems

To configure the test system for testing PIAFS modems

  1. Install the test modem on the client system.

WHQL refers to the computer with the test modem installed, as the client system.

  2. Install a NTT DoCoMo DC-6S reference modem on the server system.

WHQL refers to the computer with the NTT DoCoMo DC-6S reference modem installed, as the server system.

  3. Set up the two computers to detect each other across a TCP/IP network.

To verify this connection, confirm that you can successfully run the PING command. Typically, the HCT tests fail to run due to the NetBEUI protocol functioning; therefore, the two computers appear properly networked; however, they are not successfully using a TCP/IP, which these tests require.

  4. Install the HCT for Windows XP on both the client and the server systems.

Click to show or hide information. PC Card GSM, CardBus GSM, External COM GSM, USB GSM, and PCI GSM wireless modems

To configure the test system for testing GSM modems

  1. Install the test modem on the client system.

WHQL refers to the computer with the test modem installed as the client system.

  2. Install an external 3Com Courier I reference modem on the server system

WHQL refers to the computer with the 3Com Courier I reference modem installed as the server system.

  3. Set up the two computers to detect each other across a TCP/IP network.

To verify this connection, confirm that you can successfully run the PING command. Typically, the HCT tests fail to run due to the NetBEUI protocol functioning, therefore the two computers appear properly networked; however, they are not successfully using a TCP/IP, which these tests require.

  4. Install the HCT for Windows XP on both the client and the server systems.

Troubleshooting with the modem event log

Use the modem event log to troubleshoot modem connection problems, find invalid commands sent to the device, or find missing response codes in the INF file. This utility displays everything sent to the modem, and the modem’s response. Using the modem event log helps ensure that the modem is working correctly before beginning HCT testing, or if problems arise, can assist in diagnosing connection problems unrelated to the hardware itself. To ensure maximum benefit, turn on the modem event log on both the client and server systems.

There should be no "ERROR" responses to the commands sent to the device. If any "UNRECOGNIZED RESPONSE" messages appear in the log file, verify that the INF file includes the appropriate response codes.

Click to show or hide information. To configure the modem event log

  1. Click the Start menu, and then click Control Panel.
  2. Click Printers and Other Hardware, click Phone and Modem Options, and then click the Modems tab. The first time this option is accessed the Location Information dialog box opens, requesting the following information. Fill in the appropriate information, and click OK.
  • What country/Region the user is in.
  • What area code (city code) the user is currently in
  • The carrier code (if one is needed) - optional
  • Number needed to dial to access an outside line - optional
  • Modem dialing type - tone or pulse
  3. Double-click the modem to be tested.
  4. Click the Diagnostics tab, click the Append to Log check box, and then click OK.

Note: To view the log at a later time, repeat steps 1-4, but click View Modem Log on the Diagnostics tab instead of Append to Log.

Important: If the INF file does not include the appropriate response code, the test modem receives a failed test submission.

Related links

Wireless modem testing overview


ISDN modem testing overview

The ISDN modem category includes the following types of modems.

  • CardBus ISDN modem
  • External COM ISDN modem
  • PC Card ISDN modem
  • PCI ISDN modem
  • USB ISDN modem

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a PCI-based device, you must run the PCI-specific tests. Please run the complete suite of manual tests first before beginning the automated tests. However, with the exception of the PCI Latency test (which must be run last), the manual or automated tests can be run in any order. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

Note: For ISDN modems that communicate using NDIS, follow the ISDN modem kit (NDIS) test procedures for the appropriate bus type.

The manual tests require user intervention and must be run individually and should be completed before automated tests are run:

Click to show or hide information. Manual tests

  • Enable/Disable - Device I/O (Modem)
  • NDIS
  • Signability
  • USB 1.1 Specification Compliance
  • USB Device Framework
  • USB Device Installation
  • USB Manual Interoperability - Device
  • USB Serial Number

Click to show or hide information. Automated tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Stress - Device I/O (Extended - Modem)
  • CardBus Bridge Power Management Register
  • CardBus Card Configuration Space Register
  • CardBus Card Silicon Guidelines
  • ChkINF
  • Driver Verifier - Modem
  • PCI 2.2 Compliance
  • PCI Latency - Modem
  • Public Import
  • S3 Compliance
  • Surprise Removal
  • USB Address Description
  • USB Device Control Requests
  • USB Enumeration Stress
  • USB HIDView
  • USB Isochronous Alternate Interface Presence
  • USB Selective Suspend

Click to show or hide information. Hardware requirements

The following hardware is required to run the ISDN Modem HCT kit. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

For server system

  • One Intel Pentium, or equivalent, system with the following:
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is only required for desktop systems.
  • Reference devices for compatibility testing: Zyxel Omni.net LCD (Nissei 128de-USB ISDN reference modem required for testing in Japan)
  • Any special jack or phone cable to connect the external ISDN reference modem to phone line
  • One Basic Rate Interface (BRI) ISDN lines
  • One Ethernet card for back channel communication (required for NDIS tests only)

For client system

  • One Intel Pentium, or equivalent, system with the following:
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device). Note that this is only required for desktop systems.
  • One test ISDN modem, including INF files and any binary drivers and supporting software
  • Any special jack or phone cable to connect ISDN test modem to phone line
  • One Basic Rate Interface (BRI) ISDN line
  • One Ethernet card for back channel communication (required for NDIS tests only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One FoxFire II PCI adapter

Note: FoxFire II PCI adapter is required for PCI device testing only.

Click to show or hide information. Software requirements

The following software is required to run the ISDN Modem HCT kit:

  • Windows XP Professional operating system
  • Any required drivers that do not ship with Windows XP
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the ISDN modem tests, testers must know how to do the following tasks:

  • Set up a client–server test system configuration.
  • Establish a TCP/IP network connection for a client–server configuration (required for back channel message card operation).
  • Execute the PING command.
  • Create folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.
  • Install and configure the Windows XP Fax software.

Related links


Preparing for ISDN modem testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see the ISDN modem testing overview..

Test system configuration

A two-system configuration is required to test modems: a client system with the test device installed, and a server system with the reference device installed.

The HCT kit requires the following to prepare the test system for ISDN modem testing for the Windows XP operating system:

Click to show or hide information. To prepare the test systems for testing an ISDN modem

  1. Install the test device on the client system.

WHQL refers to the system with the test device installed as the client system.

  2. Install the reference device on the server system.

WHQL refers to the system with the reference device installed as the server system.

  3. Set up the two computers to detect each other across a TCP/IP network.

To verify this connection, confirm that you can successfully run the PING command. Typically, the tests fail to run when the NetBEUI protocol is installed instead of TCP/IP. The two computers appear properly networked; however, they are not successfully using a TCP/IP, which these tests require.

  4. Install the HCT for Windows XP on both the client and the server systems.

Troubleshooting with the modem event log

Use the modem event log to troubleshoot modem connection problems, find invalid commands sent to the device, or find missing response codes in the INF file. This utility displays everything sent to the modem, and the modem’s response. Using the modem event log helps ensure that the modem is working correctly before beginning HCT testing, or if problems arise, can assist in diagnosing connection problems unrelated to the hardware itself. To ensure maximum benefit, turn on the modem event log on both the client and server systems.

There should be no "ERROR" responses to the commands sent to the device. If any "UNRECOGNIZED RESPONSE" messages appear in the log file, verify that the INF file includes the appropriate response codes.

Click to show or hide information. To configure the modem event log

  1. Click the Start menu, and then click Control Panel.
  2. Click Printers and Other Hardware, click Phone and Modem Options, and then click the Modems tab. The first time this option is accessed the Location Information dialog box opens, requesting the following information. Fill in the appropriate information, and click OK.
  • What country/Region the user is in.
  • What area code (city code) the user is currently in
  • The carrier code (if one is needed) - optional
  • Number needed to dial to access an outside line - optional
  • Modem dialing type - tone or pulse
  3. Double-click the modem to be tested.
  4. Click the Diagnostics tab, click the Append to Log check box, and then click OK.

Note: To view the log at a later time, repeat steps 1-4, but click View Modem Log on the Diagnostics tab instead of Append to Log.

Important: If the INF file does not include the appropriate response code, the test modem receives a failed test submission.

Related links

ISDN modem testing overview


Running the Fax - Test Modem test

To run the Fax - Test Modem test

  1. Start Test Manager on both the client (the system being tested) and server (the system receiving the fax) systems.
  2. At the Test Manager window on the server system, in the Available Test for Selected Test Category pane, select Fax - Server, and then click Add Selection.
  3. At the Test Manager window on the client system, in the Available Test for Selected Test Category pane, select Fax - Test Modem Test, and then click Add Selection.
  4. Click Start Tests on both the server and client systems.
  5. Immediately after the test starts, the FaxVrfy window opens on both the client and server systems. On the client system, enter the appropriate phone numbers in the Send To and Receive On fields. Then click Start.
  6. As the test runs, the status of the test displays in the FaxVrfy window on the server system.
  7. When the test is completed, view the test log files.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the NDIS test

To run the NDIS test on the server system

  1. Start Test Manager for the appropriate device category.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select NDIS, and then click Add Selection.
  3. Click Start Tests. The Microsoft NDISTEST window displays. Verify that the NDISTEST screen opens with the Server option pre-selected.

Important: The server system must be configured as a Remote Test Host during the initial installation of the HCT.

  4. In the right pane of the Tests tab, select the SERVER option. A list of support devices displays in the left pane under SUPPORT DEVICES.
  5. Next to MESSAGE, click the appropriate network adapter with an IP address on the same network as the client system.
  6. Under SUPPORT DEVICES, click the modem device(s) to be used on the server system, and then click START.
  7. Immediately after clicking the Start button, a dialog box displays. Enter the local phone number that the reference modem uses to dial out to the PSTN. Do not enter values for field for voice line information fields.
  8. Click Go.

To run the NDIS test on the client system

  1. Start Test Manager for the appropriate device category.
  2. At the Test Manager window, in the Available Tests for Selected Test Category pane, select NDIS, and then click Add Selection.
  3. Click Start Tests. The Adapter Testing - Microsoft NDISTEST window displays. Verify that the NDISTEST screen opens with the WHQL option pre-selected.

Important: The NDISTEST screen opens on the client (test) system with the WHQL option pre-selected. Changing this option will result in a failed test.

  4. In the left pane of the Tests tab, next to TEST DEVICES, click the test device.
  5. Next to MESSAGE, click the appropriate Ethernet network adapter with an IP address on the same network as the client system.
  6. Under SUPPORT DEVICES, select the reference modem device(s) with the name of the server system as a prefix.
  7. In the right pane of the Tests tab, select the CLIENT option, and then do one of the following:
  • Select the WHQL TESTS option if using:

3Com Courier I reference modem for testing analog modems.

3Com Courier I reference modem for testing GSM modems.

The required tests for the test device displayed in the right pane. Click a test name to see a brief description appear in the bottom pane.

  • Otherwise, select the MANUAL TESTS option, and select tests appropriate to the reference modem
  8. Click START.
  9. Immediately after clicking the Start button, a dialog box displays. Enter the local phone number that the test modem uses to dial out to the PSTN as well as the correct voice line information, then click OK.
  10. Follow the instructions displayed. Some steps during the NDIS test require user intervention, such as the Blind Dial procedure.

Important: If you’re the test modem requires the phone line to be connected in order to generate DTMF tones, please use the following steps instead of disconnecting the phone line as the Blind Dial test instructs.

1. Use a handset that is connected in parallel to the test modem.

2. Do not disconnect the modem from the PSTN.

3. Just before the modem "blind dials", press a single DTMF digit on the parallel handset.

4. Then proceed with the test.

  11. Quit the NDIS test application to return the summary log file to Test Manager.

Important: If the NDIS test on the client system has to be stopped before the test completes, the NDIS test on the server system should be stopped and restarted before restarting the NDIS test on the client. This procedure insures that the server is available for communication with the test system.

  12. When the test is completed, click View Log to view test log file.
  13. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Stress - Device I/O (Extended - Modem) test

Important: Avoid keyboard and mouse input while this test is running.

To run the ACPI Stress - Device I/O (Extended - Modem) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Stress -Device I/O (Extended - Modem), and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.


Warning

Windows XP HCT 10.0 - Modem

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.